Bug 1271245 - C++11 requirement not in pkg-config file
C++11 requirement not in pkg-config file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glibmm24 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 09:19 EDT by Tim Niemueller
Modified: 2017-08-08 08:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:18:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 756504 None None None Never

  None (edit)
Description Tim Niemueller 2015-10-13 09:19:02 EDT
Description of problem:
The recent version introduces C++11 elements. Since this is not yet the default for GCC, the appropriate flag must be added explicitly. This also affects when using glibmm indirectly, e.g. through libxml++.

Version-Release number of selected component (if applicable):
glibmm24-2.46.1-1.fc24.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Create test program that simply includes e.h. glibmm/ustring.h.
2. Build with gcc [...] $(pkg-config --cflags glibmm24)


Actual results:
Build fails, e.g. due to the use of the noexcept keyword without adding the appropriate language standard.

Expected results:
pkg-config --cflags glibmm24 should then include the "-std=c++11" flag, as this is a mandatory requirement for the library.

Additional info:
The problem can simply be fixed by adding -std=c++11 to the compile flags in the pkg-config file. It seems the proper thing to do since it is a mandatory requirement.
Comment 1 Kalev Lember 2015-10-13 09:24:25 EDT
Can you file it upstream for discussion, please? https://bugzilla.gnome.org/enter_bug.cgi?product=glibmm

My personal take is that forcing -std=c++11 in the .pc file could cause problems in apps that want a different C++ dialect, such as c++14 or gnu++11, and it's better to leave it to apps to decide which one they want.
Comment 2 Tim Niemueller 2015-10-13 09:42:17 EDT
Filed at https://bugzilla.gnome.org/show_bug.cgi?id=756504. Referenced as external tracker.

It might be a nice addition to ship this short-term as a Fedora patch.
Comment 3 Jan Kurik 2016-02-24 08:50:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:21:49 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:18:17 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.